complexType "TermCurve"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 3 elements
Defined: | globally in fpml-mktenv-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 7 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | interpolationMethod?, extrapolationPermitted?, point*
</...>

Content Model Elements (3):

  extrapolationPermitted, interpolationMethod (defined in TermCurve complexType), | point (defined in TermCurve complexType)

All Direct / Indirect Based Elements (7):

  defaultProbabilities, discountFactorCurve, fxForwardCurve, fxForwardPointsCurve, | rateCurve (in forwardCurve), rateCurve (in zeroCurve), recoveryRateCurve

Known Usage Locations

- As direct type of elements (7):

  defaultProbabilities, discountFactorCurve, fxForwardCurve, fxForwardPointsCurve, | rateCurve (in forwardCurve), rateCurve (in zeroCurve), recoveryRateCurve

Annotation
A curve consisting only of values over a term. This is a restricted form of One Dimensional Structure.
XML Source (w/o annotations (1); see within schema source)

<xsd:complexType name="TermCurve"> <xsd:sequence> <xsd:element minOccurs="0" name="interpolationMethod" type="InterpolationMethod"/> <xsd:element minOccurs="0" name="extrapolationPermitted" type="xsd:boolean"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="point" type="TermPoint"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
extrapolationPermitted

  Type: | xsd:boolean, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="extrapolationPermitted" type="xsd:boolean"/>

interpolationMethod

  Type: | InterpolationMethod, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="interpolationMethod" type="InterpolationMethod"/>

point

  Type: | TermPoint, complex content

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="point" type="TermPoint"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.